@Echo OFF
Goto Start

REM  **************************************************************************
REM  *                                                                        *
REM  *  MAKE.BAT - Redirect to MAKEP4.BAT Script                              *
REM  *                                                                        *
REM  **************************************************************************

:Version
Echo .----------------------------------------------------------------------------.
Echo  P4 Pascal Compilation Toolkit for the Propeller - Make File - Version 1.00 
Echo `----------------------------------------------------------------------------'
Goto Return

REM  **************************************************************************
REM  *                                                                        *
REM  *  Check if we have an explicit request for help                         *
REM  *                                                                        *
REM  **************************************************************************

:Start

If "%1" == "//?" Goto Usage
If "%1" == "--h" Goto Usage
If "%1" == "--H" Goto Usage

If exist MakeP4.bat Goto CallMakeP4

REM  **************************************************************************
REM  *                                                                        *
REM  *  Usage Instructions                                                    *
REM  *                                                                        *
REM  **************************************************************************

:Usage
Echo.
Goto Version
:Return
Echo.
Echo Usage : MAKE {filename} {/?} {-h} {-H}
Echo.
Echo This 'Make.bat' is a simple redirector to 'MakeP4.bat', a component part of the
Echo P4 Pascal Compilation toolkit. It is provided simply to allow files to built by
Echo using 'Make' rather than 'MakeP4'. The 'Make.bat' file can be deleted if it is
Echo not required or conflicts with other development tools.
Echo.

If exist MakeP4.bat Goto Exit

Echo No 'MakeP4.bat' file exists in the current directory so the full Compilation
Echo Toolkit may not have been completely installed.
Echo.

Goto Exit

REM  **************************************************************************
REM  *                                                                        *
REM  *  Call MAKEP4                                                           *
REM  *                                                                        *
REM  **************************************************************************

:CallMakeP4

MakeP4 %1 %2 %3 %4 %5 %6 %7 %8 %9

:Exit

REM  **************************************************************************
REM  *                                                                        *
REM  *  End of MAKE.BAT batch file                                            *
REM  *                                                                        *
REM  **************************************************************************

